tosca_definitions_version: tosca_simple_yaml_1_0_0
node_types:
  org.openecomp.resource.vfc.device_VFC:
    derived_from: tosca.nodes.Root
    description: Represents a device
    properties:
      id: 
        type: string
        required: true
        description: Identifier of the Device
      esn: 
        type: string
        required: false
        description: Device serial number
      type: 
        type: string
        required: false
        description: The type of the device
      name: 
        type: string
        required: false
        description: the name of the device
      vendor:
        type: string
        required: false
        description: The vendor of the device
    requirements:
     - link: 
        capability: tosca.capabilities.network.Linkable
        relationship: tosca.relationships.network.LinksTo 
     - binding:
        capability: tosca.capabilities.network.Bindable
        relationship: tosca.relationships.network.BindsTo 
